Package org.kapott.hbci.dialog

## Class HBCIMessage

- java.lang.Object
- - org.kapott.hbci.dialog.HBCIMessage

    public class HBCIMessage
    extends java.lang.Object

Kapselt die fachlichen Jobs in einr HBCI-Nachricht an die Bank.

### Constructor Summary

Constructors
`HBCIMessage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append​(HBCIJobImpl task)` Fuegt einen neuen Job zur Nachricht hinzu.
`HBCIJobImpl` `findTask​(java.lang.String hbciCode)` Sucht in der Nachricht nach einem Task mit dem angegebenen HBCI-Code.
`int` `getTaskCount()` Liefert die Anzahl aller Tasks in der Naxchricht.
`java.util.List<HBCIJobImpl>` `getTasks()` Liefert die Kopie der Task-Liste.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIMessage

    public HBCIMessage()

### Method Detail

#### getTasks

    public java.util.List<HBCIJobImpl> getTasks()

Liefert die Kopie der Task-Liste. Aenderungen an der Liste wirken sich nicht auf die Nachricht aus. Die Tasks darin koennen jedoch geaendert werden.

Returns:
  die Kopie der Task-Liste.

#### getTaskCount

    public int getTaskCount()

Liefert die Anzahl aller Tasks in der Naxchricht.

Returns:
  die Anzahl aller Tasks in der Naxchricht.

#### findTask

    public HBCIJobImpl findTask​(java.lang.String hbciCode)

Sucht in der Nachricht nach einem Task mit dem angegebenen HBCI-Code.

Parameters:
  `hbciCode` - der HBCI-Code.
Returns:
  der Task oder NULL, wenn er nicht gefunden wurde.

#### append

    public void append​(HBCIJobImpl task)

Fuegt einen neuen Job zur Nachricht hinzu.

Parameters:
  `task` - der neue Job.